import * as React from 'react';
import { ChainDisplay } from './';
import { Icon } from '../';
import { setHashData } from '../../utils';

import './Tab.css';

interface TabProps {
  label: string;
  icon: string;
  display: ChainDisplay;
  current: string;
  tab: string;
  setDisplay: (display: ChainDisplay) => void;
}

export class Tab extends React.Component<TabProps> {
  public render() {
    const { label, icon, display, current } = this.props;
    const highlight = display === current;
    const className = highlight ? 'Chain-Tab-on Chain-Tab' : 'Chain-Tab';

    return (
      <div className={className} onClick={this.onClick} title={label}>
        <Icon src={icon} />
      </div>
    );
  }

  private onClick = () => {
    const { tab, display, setDisplay } = this.props;
    setHashData({ tab });
    setDisplay(display);
  };
}
